package com.ktg.system.mapper;

import com.ktg.common.mapper.BaseMapperX;
import com.ktg.system.domain.SysUploadFile;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 文件Mapper接口
 *
 * @author cgj
 * @date 2024-10-22
 */
@Mapper
public interface SysUploadFileMapper extends BaseMapperX<SysUploadFile>
{
    /**
     * 查询文件
     *
     * @param id 文件主键
     * @return 文件
     */
    SysUploadFile selectSysUploadFileById(Long id);

    /**
     * 查询文件列表
     *
     * @param sysUploadFile 文件
     * @return 文件集合
     */
    List<SysUploadFile> selectSysUploadFileList(SysUploadFile sysUploadFile);

    /**
     * 新增文件
     *
     * @param sysUploadFile 文件
     * @return 结果
     */
    int insertSysUploadFile(SysUploadFile sysUploadFile);

    /**
     * 修改文件
     *
     * @param sysUploadFile 文件
     * @return 结果
     */
    int updateSysUploadFile(SysUploadFile sysUploadFile);

    /**
     * 删除文件
     *
     * @param id 文件主键
     * @return 结果
     */
    int deleteSysUploadFileById(Long id);

    /**
     * 批量删除文件
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSysUploadFileByIds(Long[] ids);
}
